package com.test;

import javax.ejb.EJB;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Application Lifecycle Listener implementation class MyListener
 *
 */
public class MyListener implements ServletContextListener {

	@EJB(name="my-processor")
	private ProcessorBeanLocal processor;

	/**
	 * Default constructor. 
	 */
	public MyListener() {
	}

	/**
	 * @see ServletContextListener#contextInitialized(ServletContextEvent)
	 */
	public void contextInitialized(ServletContextEvent arg0) {
		Logger logger = LoggerFactory.getLogger("mylogger");

		if(processor!=null) {
//			System.out.println("ProcessorBeanLocal INJECTED!");
			logger.info("ProcessorBeanLocal INJECTED!");
			try {
				processor.log("Message!");
			} catch(Exception e) {
				e.printStackTrace();
			}
		} else {
//			System.out.println("ProcessorBeanLocal NULL!");
			logger.info("ProcessorBeanLocal NULL!");
		}
	}

	/**
	 * @see ServletContextListener#contextDestroyed(ServletContextEvent)
	 */
	public void contextDestroyed(ServletContextEvent arg0) {
	}

}
